!-----------------------BEGIN NOTICE -- DO NOT EDIT-----------------------
! NASA Goddard Space Flight Center Land Information System (LIS) v7.1
!
! Copyright (c) 2015 United States Government as represented by the
! Administrator of the National Aeronautics and Space Administration.
! All Rights Reserved.
!-------------------------END NOTICE -- DO NOT EDIT-----------------------
module LIS_lsmrouting_pluginMod
!BOP
!
! !MODULE: LIS_lsmrouting_pluginMod
! 
! !DESCRIPTION: 
!   
! !REVISION HISTORY: 
!  16 Jul 09    Sujay Kumar  Initial Specification
! 
  implicit none
  
  PRIVATE
!------------------------------------------------------------------------------
! !PUBLIC MEMBER FUNCTIONS:
!------------------------------------------------------------------------------
  PUBLIC :: LIS_lsmrouting_plugin  
!EOP  

contains
!BOP
! !ROUTINE: LIS_lsmrouting_plugin
!  \label{LIS_lsmrouting_plugin}
!
! !DESCRIPTION:
!
!  
! !INTERFACE:
  subroutine LIS_lsmrouting_plugin
!EOP

    use LIS_pluginIndices

    external template_getrunoffs
    external noah271_getrunoffs
    external noah32_getrunoffs
    external noah32_getrunoffs_mm
    external noah33_getrunoffs
    external noah33_getrunoffs_mm
    external noah36_getrunoffs
    external noah36_getrunoffs_mm
    external noahmp36_getrunoffs
    external noahmp36_getrunoffs_mm
    external clsmf25_getrunoffs
    external clsmf25_getrunoffs_mm
    external vic412_getrunoffs
    external vic412_getrunoffs_mm

    call registerlsmroutinggetrunoff(trim(LIS_templateLSMId)//"+"//&
         trim(LIS_HYMAProuterId)//char(0), &
         template_getrunoffs)

    call registerlsmroutinggetrunoff(trim(LIS_noah271Id)//"+"//&
         trim(LIS_NLDASrouterId)//char(0), &
         noah271_getrunoffs)

    call registerlsmroutinggetrunoff(trim(LIS_noah32Id)//"+"//&
         trim(LIS_NLDASrouterId)//char(0), &
         noah32_getrunoffs)

    call registerlsmroutinggetrunoff(trim(LIS_noah33Id)//"+"//&
         trim(LIS_NLDASrouterId)//char(0), &
         noah33_getrunoffs)

    call registerlsmroutinggetrunoff(trim(LIS_noah36Id)//"+"//&
         trim(LIS_NLDASrouterId)//char(0), &
         noah36_getrunoffs)

    call registerlsmroutinggetrunoff(trim(LIS_noahmp36Id)//"+"//&
         trim(LIS_NLDASrouterId)//char(0), &
         noahmp36_getrunoffs)

    call registerlsmroutinggetrunoff(trim(LIS_clsmf25Id)//"+"//&
         trim(LIS_NLDASrouterId)//char(0), &
         clsmf25_getrunoffs)

    call registerlsmroutinggetrunoff(trim(LIS_vic412Id)//"+"//&
         trim(LIS_NLDASrouterId)//char(0), &
         vic412_getrunoffs)

    call registerlsmroutinggetrunoff(trim(LIS_noah32Id)//"+"//&
         trim(LIS_HYMAProuterId)//char(0), &
         noah32_getrunoffs_mm)

    call registerlsmroutinggetrunoff(trim(LIS_noah33Id)//"+"//&
         trim(LIS_HYMAProuterId)//char(0), &
         noah33_getrunoffs_mm)

    call registerlsmroutinggetrunoff(trim(LIS_noah36Id)//"+"//&
         trim(LIS_HYMAProuterId)//char(0), &
         noah36_getrunoffs_mm)

    call registerlsmroutinggetrunoff(trim(LIS_noahmp36Id)//"+"//&
         trim(LIS_HYMAProuterId)//char(0), &
         noahmp36_getrunoffs_mm)

    call registerlsmroutinggetrunoff(trim(LIS_clsmf25Id)//"+"//&
         trim(LIS_HYMAProuterId)//char(0), &
         clsmf25_getrunoffs_mm)

    call registerlsmroutinggetrunoff(trim(LIS_vic412Id)//"+"//&
         trim(LIS_HYMAProuterId)//char(0), &
         vic412_getrunoffs_mm)

  end subroutine LIS_lsmrouting_plugin
end module LIS_lsmrouting_pluginMod
